<?php
namespace HCM\FPA\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class LogRetrocessoCalculoRepository {
    
    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    public function persistirLogRetrocesso($params){
        $sql= $this->entityManager->getConnection()->prepare(
            "INSERT INTO FPA_LOGRETROCESSO (
                NRORG,
                NRLOGRETROCESSO,
                DTINCLUSAO,
                CDOPERINCLUSAO,
                DSORDEM,
                DSINICIO,
                DSFIM,
                DTPAGAMENTO,
                IDULTPGTOMES,
                IDMEMORIACALC,
                IDTPFORMCALCULO,
                IDDIFSAL,
                IDDIFFERIAS,
                DSTIPOVINCULO,
                DSINICIO2,
                DSFIM2,
                DSINICIO3,
                DSFIM3,
                NRFERIAS,
                DTINIGOZOFERIAS,
                DTFIMGOZOFERIAS,
                QTDIAGOZOFERIAS,
                QTDIASABONOFERI,
                NRVINCULOM,
                DTAVISOFERIAS,
                IDADIANT13SALAR,
                DSVINCNAOCONTEMPL,
                DTRESCISAOINI,
                DTRESCISAOFIM,
                VRSALDOFGTSBANCO,
                IDFAZDIFCOMP,
                VRSALDISSIDIO,
                DTINICIOVALE,
                DTFINALVALE,
                DTINICIOFILTROVALE,
                DTFINALFILTROVALE,
                NRTIPOLINHAVINC,
                NRTPBENEFICIO,
                TPPERIODOBENEF,
                DSOBSERVACAO
            ) VALUES (
                :P_NRORG,
                :P_NRLOGRETROCESSO,
                :P_DTINCLUSAO,
                :P_CDOPERINCLUSAO,
                :P_DSORDEM,
                :P_DSINICIO,
                :P_DSFIM,
                :P_DTPAGAMENTO,
                :P_IDULTPGTOMES,
                :P_IDMEMORIACALC,
                :P_IDTPFORMCALCULO,
                :P_IDDIFSAL,
                :P_IDDIFFERIAS,
                :P_DSTIPOVINCULO,
                :P_DSINICIO2,
                :P_DSFIM2,
                :P_DSINICIO3,
                :P_DSFIM3,
                :P_NRFERIAS,
                :P_DTINIGOZOFERIAS,
                :P_DTFIMGOZOFERIAS,
                :P_QTDIAGOZOFERIAS,
                :P_QTDIASABONOFERI,
                :P_NRVINCULOM,
                :P_DTAVISOFERIAS,
                :P_IDADIANT13SALAR,
                :P_DSVINCNAOCONTEMPL,
                :P_DTRESCISAOINI,
                :P_DTRESCISAOFIM,
                :P_VRSALDOFGTSBANCO,
                :P_IDFAZDIFCOMP,
                :P_VRSALDISSIDIO,
                :P_DTINICIOVALE,
                :P_DTFINALVALE,
                :P_DTINICIOFILTROVALE,
                :P_DTFINALFILTROVALE,
                :P_NRTIPOLINHAVINC,
                :P_NRTPBENEFICIO,
                :P_TPPERIODOBENEF,
                :P_DSOBSERVACAO
            )"    
        );
        $sql->execute($params);
    }
    
    public function getItens($nrorg,$nrcadastroCCT){
        $sql = $this->entityManager->getConnection()->prepare("SELECT * FROM FPA_ITCADASTROCCT WHERE NRORG = :P_NRORG AND NRCADASTROCCT = :P_NRCADASTROCCT");
        $sql->execute(
            array(
                "P_NRORG"=>$nrorg,
                "P_NRCADASTROCCT"=>$nrcadastroCCT
            )
        );
        return $sql->fetchAll();
    }
    
    public function setitemCCT($params){
        $sql= $this->entityManager->getConnection()->prepare(
            "INSERT INTO FPA_ITCADASTROCCT 
            (NRORG,
            NRCADASTROCCT,
            NRITCADASTROCCT,
            NRTIPOITEMCCT,
            DSITEMCCT,
            DSLEGISLACAOITCCT,
            NROCUPACAOM,
            NRESCALATRABM,
            NRSITUFUNCM,
            NRTPDEMISSAO,
            NREVENTOM,
            NRFAIXATABFOLHA,
            NRVALORREFERENCIAM,
            VRPISOITCCT,
            VRTETOITCCT,
            DTINIITEMCCT,
            DTFINITEMCCT,
            VRPERCENTUALITCCT,
            VRITEMCCT,
            DSINIINTERVALOCCT,
            DSFININTERVALOCCT,
            VRIDADEMINIMACCT,
            VRIDADEMAXIMACCT,
            QTDEMESESITCCT,
            QTDEANOMINCCT,
            QTDEANOMAXCCT,
            QTDIASESTABITCCT,
            DTINCLUSAO,
            CDOPERINCLUSAO,
            NRORGINCLUSAO,
            DTULTATU,
            CDOPERULTATU,
            NRORGULTATU) VALUES (:P_NRORG,
            :P_NRCADASTROCCT,
            :P_NRITCADASTROCCT,
            :P_NRTIPOITEMCCT,
            :P_DSITEMCCT,
            :P_DSLEGISLACAOITCCT,
            :P_NROCUPACAOM,
            :P_NRESCALATRABM,
            :P_NRSITUFUNCM,
            :P_NRTPDEMISSAO,
            :P_NREVENTOM,
            :P_NRFAIXATABFOLHA,
            :P_NRVALORREFERENCIAM,
            :P_VRPISOITCCT,
            :P_VRTETOITCCT,
            :P_DTINIITEMCCT,
            :P_DTFINITEMCCT,
            :P_VRPERCENTUALITCCT,
            :P_VRITEMCCT,
            :P_DSINIINTERVALOCCT,
            :P_DSFININTERVALOCCT,
            :P_VRIDADEMINIMACCT,
            :P_VRIDADEMAXIMACCT,
            :P_QTDEMESESITCCT,
            :P_QTDEANOMINCCT,
            :P_QTDEANOMAXCCT,
            :P_QTDIASESTABITCCT,
            :P_DTINCLUSAO,
            :P_CDOPERINCLUSAO,
            :P_NRORGINCLUSAO,
            :P_DTULTATU,
            :P_CDOPERULTATU,
            :P_NRORGULTATU
            )"    
        );
        $sql->execute($params);

    }
    
    public function getBeneficiosCCT($nrorg,$nrcadastroCCT){
        $sql = $this->entityManager->getConnection()->prepare("SELECT * FROM VAB_BENEFICIOCCT WHERE NRORG = :P_NRORG AND NRCADASTROCCT = :P_NRCADASTROCCT");
        $sql->execute(
            array(
                "P_NRORG"=>$nrorg,
                "P_NRCADASTROCCT"=>$nrcadastroCCT
            )
        );
        return $sql->fetchAll();
    }
    
    public function setBeneficioCCT($params){
        $sql= $this->entityManager->getConnection()->prepare(
            "INSERT INTO VAB_BENEFICIOCCT 
            (
                NRORG,                  
                NRBENEFICIOCCT,         
                NRCADASTROCCT,          
                NRTPBENEFICIO,          
                NRIDADEMAXSUBFILHOS,                     
                SEXOSUBSIDIOFILHO,               
                NRIDADEMAXSUBDEP,                        
                SEXOSUBSIDIODEP,                 
                NREVETITULARVINC,                        
                NRTIPOPARTICIPATITULAR,          
                NRTABFAIXASALTIT,                
                VRTITULARSIND,                   
                VRTETOTITULARSIND,               
                VRPISOTITULARSIND,               
                NREVEDEPEVINC,                           
                NRTIPOPARTICIPADEP,              
                NRTABFAIXASALDEP,                
                VRDEPSIND,                       
                VRPISODEPSIND,                   
                VRTETODEPSIND,                   
                IDATIVO,
                DTINCLUSAO,
                DTULTATU,                                  
                NRORGINCLUSAO,                           
                CDOPERINCLUSAO,                    
                NRORGULTATU,                             
                CDOPERULTATU                     
            ) VALUES (
                :P_NRORG,                  
                :P_NRBENEFICIOCCT,         
                :P_NRCADASTROCCT,          
                :P_NRTPBENEFICIO,          
                :P_NRIDADEMAXSUBFILHOS,                     
                :P_SEXOSUBSIDIOFILHO,               
                :P_NRIDADEMAXSUBDEP,                        
                :P_SEXOSUBSIDIODEP,                 
                :P_NREVETITULARVINC,                        
                :P_NRTIPOPARTICIPATITULAR,          
                :P_NRTABFAIXASALTIT,                
                :P_VRTITULARSIND,                   
                :P_VRTETOTITULARSIND,               
                :P_VRPISOTITULARSIND,               
                :P_NREVEDEPEVINC,                           
                :P_NRTIPOPARTICIPADEP,              
                :P_NRTABFAIXASALDEP,                
                :P_VRDEPSIND,                       
                :P_VRPISODEPSIND,                   
                :P_VRTETODEPSIND,                   
                :P_IDATIVO,
                :P_DTINCLUSAO,
                :P_DTULTATU,                                  
                :P_NRORGINCLUSAO,                           
                :P_CDOPERINCLUSAO,                    
                :P_NRORGULTATU,                             
                :P_CDOPERULTATU                     
            )"    
        );
        $sql->execute($params);

    }
    
} 
