<?php

namespace HCM\SST\Services;

use Doctrine\ORM\EntityManager;
use Folha\Entities\SstPerfilepi;
use Folha\Entities\SstItemperfilepi;
use HCM\Util\HCMParameters;

class PerfilEpiService {
    
    protected $entityManager;
    protected $hcmParameters;
    
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }
    
    public function deletePerfilEpi($dataset) {
        
        $nrorg = $dataset["NRORG"];
        $nrperfilepi = $dataset["NRPERFILEPI"];
        $itemperfilepi = SstItemperfilepi::findByNrperfilepiAndNrorg($nrperfilepi, $nrorg);
        if (isset($itemperfilepi[0])) {
            throw new \Exception("Existe item relacionado à este perfil de epi.", 10);
        }
        else {
            $this->entityManager->beginTransaction();
            $perfilepi = SstPerfilepi::findOneByNrperfilepiAndNrorg($nrperfilepi, $nrorg);
            $this->entityManager->remove($perfilepi);
            $this->entityManager->flush();
            $this->entityManager->commit();
        }
    }
}