-----------------------------------
-- ESO_VERSAO --
-----------------------------------
CREATE TABLE ESO_VERSAO (
	NRVERSAO		NUMBER			NOT NULL,
	DSVERSAO		VARCHAR2(10)	NOT NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ESO_VERSAO CHECK (IDATIVO IN ('S','N')),
	NRORG			NUMBER			NOT NULL,
	DTINCLUSAO		DATE			NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER			DEFAULT 1 NULL,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU		NUMBER			DEFAULT 1 NULL,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1',
  CONSTRAINT PK_ESO_VERSAO PRIMARY KEY (NRVERSAO)
)
/

INSERT INTO ESO_VERSAO VALUES (1, '2.3', 'N', 0, SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO ESO_VERSAO VALUES (2, '2.4.01', 'N', 0, SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO ESO_VERSAO VALUES (3, '2.4.02', 'N', 0, SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO ESO_VERSAO VALUES (4, '2.5.00', 'S', 0, SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO ESO_VERSAO VALUES (5, 'S-1.0', 'S', 0, SYSDATE, NULL, 1, '1', 1, '1')
/

-----------------------------------
-- ESO_EVENTO --
-----------------------------------
UPDATE ESO_EVENTO SET IDATIVO = 'N' WHERE DSVERSAO = '2.4.02'
/

INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('184','S-1000 - Informações do Empregador/Contribuinte/Órgão Público','S-1000','I','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('185','S-1005 - Tabela de Estabelecimentos, Obras ou Unidades de Órgãos Públicos','S-1005','T','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('186','S-1010 - Tabela de Rubricas','S-1010','T','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('187','S-1020 - Tabela de Lotações Tributárias','S-1020','T','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('188','S-1070 - Tabela de Processos Administrativos/Judiciais','S-1070','T','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('189','S-1200 - Remuneração de Trabalhador vinculado ao Regime Geral de Previd. Social','S-1200','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('190','S-1202 - Remuneração de Servidor vinculado ao Regime Próprio de Previd. Social','S-1202','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('191','S-1207 - Benefícios - Entes Públicos','S-1207','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('192','S-1210 - Pagamentos de Rendimentos do Trabalho','S-1210','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('193','S-1260 - Comercialização da Produção Rural Pessoa Física','S-1260','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('194','S-1270 - Contratação de Trabalhadores Avulsos Não Portuários','S-1270','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('195','S-1280 - Informações Complementares aos Eventos Periódicos','S-1280','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('196','S-1298 - Reabertura dos Eventos Periódicos','S-1298','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('197','S-1299 - Fechamento dos Eventos Periódicos','S-1299','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('198','S-2190 - Registro Preliminar de Trabalhador','S-2190','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('199','S-2200 - Cadastramento Inicial do Vínculo e Admissão/Ingresso de Trabalhador','S-2200','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','S','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('200','S-2205 - Alteração de Dados Cadastrais do Trabalhador','S-2205','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('201','S-2206 - Alteração de Contrato de Trabalho/Relação Estatutária','S-2206','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('202','S-2210 - Comunicação de Acidente de Trabalho','S-2210','S','S-1.0','0',SYSDATE,NULL,'1','1','1','1','S','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('203','S-2220 - Monitoramento da Saúde do Trabalhador','S-2220','S','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('204','S-2230 - Afastamento Temporário','S-2230','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('205','S-2231 - Cessão/Exercício em Outro Órgão','S-2231','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('206','S-2240 - Condições Ambientais do Trabalho - Agentes Nocivos','S-2240','S','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('207','S-2298 - Reintegração/Outros Provimentos','S-2298','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('208','S-2299 - Desligamento','S-2299','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('209','S-2300 - Trabalhador Sem Vínculo de Emprego/Estatutário - Início','S-2300','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('210','S-2306 - Trabalhador Sem Vínculo de Emprego/Estatutário - Alteração Contratual','S-2306','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('211','S-2399 - Trabalhador Sem Vínculo de Emprego/Estatutário - Término','S-2399','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('212','S-2400 - Cadastro de Beneficiário - Entes Públicos - Início','S-2400','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('213','S-2405 - Cadastro de Beneficiário - Entes Públicos - Alteração','S-2405','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('214','S-2410 - Cadastro de Benefício - Entes Públicos - Início','S-2410','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('215','S-2416 - Cadastro de Benefício - Entes Públicos - Alteração','S-2416','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('216','S-2418 - Reativação de Benefício - Entes Públicos','S-2418','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('217','S-2420 - Cadastro de Benefício - Entes Públicos - Término','S-2420','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('218','S-3000 - Exclusão de Eventos','S-3000','N','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('219','S-5001 - Informações das Contribuições Sociais por Trabalhador','S-5001','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('220','S-5002 - Imposto de Renda Retido na Fonte por Trabalhador','S-5002','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('221','S-5003 - Informações do FGTS por Trabalhador','S-5003','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('222','S-5011 - Informações das Contribuições Sociais Consolidadas por Contribuinte','S-5011','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('223','S-5013 - Informações do FGTS Consolidadas por Contribuinte','S-5013','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/
INSERT INTO ESO_EVENTO
    (NREVENTO,DSEVENTO,NMEVENTO,IDGRUPO,DSVERSAO,NRORG,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,IDATIVO,IDENVAUTO,NMEVPRECED,NMEVDEPEND,NMSCHEMAXSD)
 VALUES
    ('224','S-8299 - Baixa Judicial do Vínculo','S-8299','P','S-1.0','0',SYSDATE,NULL,'1','1','1','1','N','N',null,null,null)
/

UPDATE ESO_EVENTO SET IDATIVO = 'S' WHERE DSVERSAO = 'S-1.0' AND NMEVENTO IN ('S-1000','S-2190','S-2200','S-2205','S-2206','S-2210','S-2230','S-2299','S-2300','S-2399','S-1200','S-1210');

-----------------------------------
-- ESO_CADASTRO --
-----------------------------------
CREATE TABLE ESO_CADASTRO
(
	NRORG			NUMBER			NOT NULL,
	NRENVIO			NUMBER		 	NOT NULL,
	NRESTRUTURAM	NUMBER        	NOT NULL,
	NMEVENTO		VARCHAR2(6)	 	NOT NULL,
	DSVERSAO		VARCHAR2(10)	NOT NULL,
	NRTPAMBIENTE	NUMBER			NOT NULL,
	NRCHAVE			NUMBER        	NULL,
	NRTABELA		NUMBER        	NULL,
	DTMESCOMPETENC 	DATE			NULL,
	IDEVENTO		VARCHAR2(50)	NULL,
	IDOPERACAO		VARCHAR2(1)		NULL
		CONSTRAINT CKC_IDOPER_ESO_ESOCAD CHECK (IDOPERACAO IN ('I','A','E')),
	DTENVIO			DATE			NULL,
	DTRESPOSTA		DATE			NULL,
	DTPROCESSAMENTO	DATE			NULL,
	IDSTATUS		VARCHAR2(1)		NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ESO_ESOCAD CHECK (IDATIVO IN ('S','N')),
	CDERRO			VARCHAR(10) 	NULL,
	NRPROTOCOLO		VARCHAR2(50)    NULL,
	NRRECIBO		VARCHAR2(50)    NULL,
	DSDIRXMLENV		VARCHAR2(200)	NULL,
	DSDIRXMLRETENV	VARCHAR2(200)	NULL,
	DSDIRXMLRETPRO	VARCHAR2(200)	NULL,
	DSOBSERVACAO	VARCHAR2(4000)	NULL,
	DSOBSERVACAO2	VARCHAR2(4000)	NULL,
	DTINCLUSAO		DATE			NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER			DEFAULT 1 NULL,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU		NUMBER			DEFAULT 1 NULL,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1',
  CONSTRAINT PK_ESO_ESOCAD PRIMARY KEY (NRORG, NRENVIO)
)
/

ALTER TABLE ESO_CADASTRO
	ADD CONSTRAINT FK_ESOCAD_ESTRUT FOREIGN KEY (NRESTRUTURAM, NRORG)
		REFERENCES ESTRUTURAM (NRESTRUTURAM, NRORG)
/

-----------------------------------
-- ESO_NAOPERIODICO --
-----------------------------------
CREATE TABLE ESO_NAOPERIODICO
(
	NRORG			NUMBER			NOT NULL,
	NRENVIO			NUMBER		 	NOT NULL,
	NRESTRUTURAM	NUMBER        	NOT NULL,
	NRVINCULOM		NUMBER		 	NOT NULL,
	NMEVENTO		VARCHAR2(6)	 	NOT NULL,
	DSVERSAO		VARCHAR2(10)	NOT NULL,
	NRTPAMBIENTE	NUMBER			NOT NULL,
	NRCHAVE			NUMBER        	NULL,
	NRTABELA		NUMBER        	NULL,
	DTMESCOMPETENC 	DATE			NULL,
	IDEVENTO		VARCHAR2(50)	NULL,
	IDOPERACAO		VARCHAR2(1)		NULL
		CONSTRAINT CKC_IDOPER_ESO_NAOPER CHECK (IDOPERACAO IN ('I','A','E')),
	DTENVIO			DATE			NULL,
	DTRESPOSTA		DATE			NULL,
	DTPROCESSAMENTO	DATE			NULL,
	IDSTATUS		VARCHAR2(1)		NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ESO_NAOPER CHECK (IDATIVO IN ('S','N')),
	CDERRO			VARCHAR(10) 	NULL,
	NRPROTOCOLO		VARCHAR2(50)    NULL,
	NRRECIBO		VARCHAR2(50)    NULL,
	DSDIRXMLENV		VARCHAR2(200)	NULL,
	DSDIRXMLRETENV	VARCHAR2(200)	NULL,
	DSDIRXMLRETPRO	VARCHAR2(200)	NULL,
	DSDIRXMLRETTOT	VARCHAR2(200)	NULL,
	DSOBSERVACAO	VARCHAR2(4000)	NULL,
	DSOBSERVACAO2	VARCHAR2(4000)	NULL,
	NRENVIOEXCL		NUMBER			NULL,
	VRBASEMENSAL	FLOAT			NULL,
	VRBASE13		FLOAT			NULL,
	VRVALORMENSAL	FLOAT			NULL,
	VRVALOR13		FLOAT			NULL,
	VRVALORMATERMENSAL	FLOAT		NULL,
	VRVALORMATER13	FLOAT			NULL,
	VRSALFAMILIA	FLOAT			NULL,
	VRSALFAMILIA13	FLOAT			NULL,
	VRCALCULADO		FLOAT			NULL,
	VRDESCONTADO	FLOAT			NULL,
	NRESTRUTLOTACAO	NUMBER			NULL,
	DTINCLUSAO		DATE			NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER			DEFAULT 1 NULL,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU		NUMBER			DEFAULT 1 NULL,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1',
  CONSTRAINT PK_ESO_NAOPER PRIMARY KEY (NRORG, NRENVIO)
)
/

ALTER TABLE ESO_NAOPERIODICO
	ADD CONSTRAINT FK_NAOPER_ESTRUT FOREIGN KEY (NRESTRUTURAM, NRORG)
		REFERENCES ESTRUTURAM (NRESTRUTURAM, NRORG)
/

ALTER TABLE ESO_NAOPERIODICO
	ADD CONSTRAINT FK_NAOPER_VINC FOREIGN KEY (NRVINCULOM, NRORG)
		REFERENCES GPE_VINCULOM (NRVINCULOM, NRORG)
/

-----------------------------------
-- ESO_PERIODICO --
-----------------------------------
CREATE TABLE ESO_PERIODICO
(
	NRORG			NUMBER			NOT NULL,
	NRENVIO			NUMBER		 	NOT NULL,
	NRESTRUTURAM	NUMBER        	NOT NULL,
	NRPESSOA		NUMBER		 	NOT NULL,
	NMEVENTO		VARCHAR2(6)	 	NOT NULL,
	DSVERSAO		VARCHAR2(10)	NOT NULL,
	NRTPAMBIENTE	NUMBER			NOT NULL,
	NRCHAVE			NUMBER        	NULL,
	NRTABELA		NUMBER        	NULL,
	DTMESCOMPETENC 	DATE			NULL,
	IDEVENTO		VARCHAR2(50)	NULL,
	IDOPERACAO		VARCHAR2(1)		NULL
		CONSTRAINT CKC_IDOPER_ESO_PERIOD CHECK (IDOPERACAO IN ('I','A','E')),
	DTENVIO			DATE			NULL,
	DTRESPOSTA		DATE			NULL,
	DTPROCESSAMENTO	DATE			NULL,
	IDSTATUS		VARCHAR2(1)		NULL,
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ESO_PERIOD CHECK (IDATIVO IN ('S','N')),
	CDERRO			VARCHAR(10) 	NULL,
	NRPROTOCOLO		VARCHAR2(50)    NULL,
	NRRECIBO		VARCHAR2(50)    NULL,
	DSDIRXMLENV		VARCHAR2(200)	NULL,
	DSDIRXMLRETENV	VARCHAR2(200)	NULL,
	DSDIRXMLRETPRO	VARCHAR2(200)	NULL,
	DSDIRXMLRETTOT	VARCHAR2(200)	NULL,
	DSOBSERVACAO	VARCHAR2(4000)	NULL,
	DSOBSERVACAO2	VARCHAR2(4000)	NULL,
	NRENVIOEXCL		NUMBER			NULL,
	VRBASEMENSAL	FLOAT			NULL,
	VRBASE13		FLOAT			NULL,
	VRVALORMENSAL	FLOAT			NULL,
	VRVALOR13		FLOAT			NULL,
	VRVALORMATERMENSAL	FLOAT		NULL,
	VRVALORMATER13	FLOAT			NULL,
	VRSALFAMILIA	FLOAT			NULL,
	VRSALFAMILIA13	FLOAT			NULL,
	VRCALCULADO		FLOAT			NULL,
	VRDESCONTADO	FLOAT			NULL,
	NRESTRUTLOTACAO	NUMBER			NULL,
	DTINCLUSAO		DATE			NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER			DEFAULT 1 NULL,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU		NUMBER			DEFAULT 1 NULL,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1',
  CONSTRAINT PK_ESO_PERIOD PRIMARY KEY (NRORG, NRENVIO)
)
/

ALTER TABLE ESO_PERIODICO
	ADD CONSTRAINT FK_PERIOD_ESTRUT FOREIGN KEY (NRESTRUTURAM, NRORG)
		REFERENCES ESTRUTURAM (NRESTRUTURAM, NRORG)
/

ALTER TABLE ESO_PERIODICO
	ADD CONSTRAINT FK_PERIOD_PESS FOREIGN KEY (NRPESSOA, NRORG)
		REFERENCES GPE_PESSOA (NRPESSOA, NRORG)
/

-----------------------------------
-- PTO_TIPOJORNADA --
-----------------------------------
INSERT INTO PTO_TIPOJORNADA VALUES (10, 'Jornada com horário diário fixo e folga fixa (no domingo)', 4, 0, 'S', SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO PTO_TIPOJORNADA VALUES (11, 'Jornada com horário diário fixo e folga fixa (exceto no domingo)', 5, 0, 'S', SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO PTO_TIPOJORNADA VALUES (12, 'Jornada com horário diário fixo e folga fixa (em outro dia da semana), com folga adicional periódica no domingo', 6, 0, 'S', SYSDATE, NULL, 1, '1', 1, '1')
/
INSERT INTO PTO_TIPOJORNADA VALUES (13, 'Turno ininterrupto de revezamento', 7, 0, 'S', SYSDATE, NULL, 1, '1', 1, '1')
/

/* APLICAR SOMENTE QUANDO ENCERRAR A VERSÃO 2.5 
UPDATE PTO_TIPOJORNADA SET CDESOCIAL = 4 WHERE NRTPJORNADA = 1;
UPDATE PTO_TIPOJORNADA SET IDATIVO = 'N' WHERE NRTPJORNADA = 1;
*/

-----------------------------------
-- SST_TIPOACIDENTE --
-----------------------------------
UPDATE SST_TIPOACIDENTE SET IDATIVO = 'N' WHERE NRTIPOACIDENTE <= 22;
INSERT INTO SST_TIPOACIDENTE VALUES (23, 'Típico', '1', 0, 'S', SYSDATE, SYSDATE, 1, '1', 1, '1');
INSERT INTO SST_TIPOACIDENTE VALUES (24, 'Doença', '2', 0, 'S', SYSDATE, SYSDATE, 1, '1', 1, '1');
INSERT INTO SST_TIPOACIDENTE VALUES (25, 'Trajeto', '3', 0, 'S', SYSDATE, SYSDATE, 1, '1', 1, '1');

-----------------------------------
-- GPE_ESCALATRABH --
-----------------------------------
ALTER TABLE GPE_ESCALATRABH ADD IDHORNOTURNO VARCHAR2(1) DEFAULT 'N' NOT NULL
    CONSTRAINT CKC_IDHORNOT_ESCALA CHECK (IDHORNOTURNO IN ('N','S'));