/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_SERVICOROP                                               */
/* Tabela : SERVICOROP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 29/05/2007 - Pedro Nerino Viol de Lima                                     */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_SERVICOROP
BEFORE INSERT OR UPDATE OR DELETE
ON SERVICOROP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUSROP := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPSERVICOROP,0) <> NVL(:NEW.IDTPSERVICOROP,0)) THEN
         :NEW.DTULTATUSROP := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('SERVICOROP', :OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDSERVFILI='||:OLD.CDSERVFILI||
                               ';IDTPSERVICOROP='||:OLD.IDTPSERVICOROP||';',SYSDATE);
   END IF;
END;
/

ALTER TABLE SERVICOROP MODIFY DTULTATUSROP DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_SERVICOROP','4.11.136'); END;
/

